<?php

namespace EventPortal\Domain\Table\Facades;

use EventPortal\Domain\Table\TableRegistry;
use Illuminate\Support\Facades\Facade;

/**
 * @method \EventPortal\Domain\Table\Factories\TableFactory make(string $tableName)
 * @method \EventPortal\Domain\Table\Factories\TableFactory model(\Illuminate\Database\Eloquent\Model $model)
 * @method \EventPortal\Domain\Table\Factories\TableFactory context(array $models)
 * @method \EventPortal\Domain\Table\Factories\TableFactory columns(?string $columns)
 * @method \EventPortal\Domain\Table\Factories\TableFactory page(?string $page)
 * @method \EventPortal\Domain\Table\Factories\TableFactory filters(?array $filters)
 * @method \EventPortal\Domain\Table\Factories\TableFactory sort(?string $sort)
 * @method \EventPortal\Domain\Table\Factories\TableFactory order(?string $order)
 * @method \EventPortal\Domain\Table\Factories\TableFactory size(?string $size)
 * @method \EventPortal\Domain\Table\Factories\TableFactory search(?string $query)
 * @method \EventPortal\Domain\Table\Table get()
 */
class Table extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return TableRegistry::class;
    }
}
