<?php

use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Column\TextColumn;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('admin.index')
    ->setColumns(function () {
        return [
            TextColumn::make('First name')->default()->searchable(),
            TextColumn::make('Last name')->default()->searchable(),
            TextColumn::make('Email')->default()->searchable(),
            TextColumn::make('Role')->default()->value(function (Admin $admin) {
                return $admin->role->label;
            }),
        ];
    })
    ->setRowAction(static function (Admin $admin) {
        return ButtonDropdown::make('Manage user')
            ->actions([
                Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.user.edit', ['admin' => $admin->id]),
            ]);
    });
