<?php

namespace EventPortal\Tests\Feature\Admin\Event;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Team\Models\Team;
use EventPortal\Enums\EmailType;
use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class CreateEventTest extends TestCase
{
    use RefreshDatabase, SeedRolesAndPermissions;

    /** @test **/
    public function default_emails_are_created_with_an_event()
    {
        $this
            ->actingAsSuperAdmin()
            ->followingRedirects()
            ->post(route('admin.event.store'), [
                'name' => 'Test Event',
                'url' => 'test-event',
                'team_id' => factory(Team::class)->create()->id,
            ])
            ->assertOk();

        $event = Event::first();
        $numberOfEmailTypes = count(EmailType::getAll());
        $this->assertCount($numberOfEmailTypes, $event->emails);
    }
}
